Subject: Re: WG Review: Centralized Conferencing (xcon)

From: Marshall Rose <[email-masked]>
Date: Thu, 14 Aug 2003 08:04:11 -0700

[ resent to general discussion list... ]

> A new IETF working group has been proposed in the Transport Area.
> The IESG has not made any determination as yet.
> The following description was submitted, and is provided
> for informational purposes only:
> 
> Centralized Conferencing (xcon)
> ---------------------------------------------------
> Current Status: Proposed Working Group
> 
> Description of Working Group:
> 
> ...
> 
> Initially this combination of protocols will be specified with respect
> to session setup with SIP. The solutions developed in XCON will not
> preclude operation with other signaling protocols; however it is
> anticipated that the use of other protocols would require modifications
> which are out of scope for this working group.
> 
> None of the protocols defined by this group will be SIP, although the
> SIP specific event notification framework will be used. The group will
> use the high-level requirements and framework already described by documents
> published by the SIPPING WG.

may i inquire as to why this working group is SIP-specific? or more
accurately, why does this charter say it isn't SIP-specific, when the
contrary is true.
    
for example, in the xmpp commuinity, there's a robust and
well-implemented specification for "multi-user chat" which arguably
provides a superset of the proposed xcon work product (cf.,
http://www.jabber.org/jeps/jep-0045.html)
    
if the proposed working group is going to develop something for SIP,
then the charter should say so.
    
if the proposed working group is going to develop something general-purpose,
then the charter should reflect reality by requiring an evaluation of
existing solutions to this space, as is usual for working groups that
are not starting with an existing specification...
    
thanks!
    
/mtr

---

From: Pekka Savola <[email-masked]>
Date: Thu, 14 Aug 2003 19:10:06 +0300 (EEST)

On Thu, 14 Aug 2003, Marshall Rose wrote:
[...]
> are not starting with an existing specification...

you forgot writing a requirements and a framework document! ;-)

<runs>

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Keith Moore <[email-masked]>
Date: Thu, 14 Aug 2003 12:10:22 -0400

and really I have to wonder why IETF would develop a conferencing
solution that favors the telephony community over other Internet
interests.  at least at first glance, that doesn't seem in the best
interests of the Internet as a whole.

Keith

> > Initially this combination of protocols will be specified with
> > respect to session setup with SIP. The solutions developed in XCON
> > will not preclude operation with other signaling protocols; however
> > it is anticipated that the use of other protocols would require
> > modifications which are out of scope for this working group.
> > 
> > None of the protocols defined by this group will be SIP, although
> > the SIP specific event notification framework will be used. The
> > group will use the high-level requirements and framework already
> > described by documents published by the SIPPING WG.
> 
> if the proposed working group is going to develop something
> general-purpose, then the charter should reflect reality by requiring
> an evaluation of existing solutions to this space, as is usual for
> working groups that are not starting with an existing specification...